Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#31 Installation problem [solved] and zip file creation

open
nobody
5
2014-08-26
2012-04-17
Massimo
No

General:
- Webdisk version 0.44

Environment:
- Server platform CentOS V5.7
- Web-server platform Apache Tomcat 5.5.23
- Client platform Windows XP ServicePack 3 and Windows 7 Service Pack 1
- Used webbrowser Firefox 10.0.2, Internet Explorer 8.0 and Internet Explorer 9.0

About Me:
- My name : Massimo
- My role : User/Tester

Hi all,

I have started testing IntegraTUM WebDisk to see if some ways can be helpful to reach samba shares via web.
Following the instructions I have extracted the .tar.gz to /var/lib/tomcat5/webapps/ba (this is my case using CentOS 5.7 and Tomcat 5.5.23)
having /var/lib/tomcat5/webapps/ba/webapp/functions.js and so on.
I have created the application ”ba” placing a new .xml in /etc/tomcat5/Catalina/locahost named ba.xml with the following contents :

<Context path="/ba" docBase="/var/lib/tomcat5/webapps/ba/webapp" debug="0" reloadable="false">
<Manager className="org.apache.catalina.session.PersistentManager" saveOnRestart="false" />
</Context>

Renamed and personalized webapp/WEB-INF/web_default.xml to webapp/WEB-INF/web.xml
After restarting Tomcat, browsing to http://localhost:9080/ba/base the answer was :

HTTP Status 404 - /ba/base
The requested resource (/ba/base) is not available.

Looking at /var/log/tomcat5/catalina.out the output was:

Using CATALINA_BASE: /usr/share/tomcat5
Using CATALINA_HOME: /usr/share/tomcat5
Using CATALINA_TMPDIR: /usr/share/tomcat5/temp
Using JRE_HOME:
Apr 16, 2012 11:46:37 PM org.apache.catalina.core.AprLifecycleListener lifecycleEvent
INFO: The Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: /usr/java/jdk1.6.0_30/jre/lib/i386/client:/usr/java/jdk1.6.0_30/jre/lib/i386:/usr/java/jdk1.6.0_30/jre/../lib/i386:/usr/share/tomcat5/GNUstep/Library/Libraries:/usr/local/lib:/usr/lib:/usr/java/packages/lib/i386:/lib:/usr/lib
Apr 16, 2012 11:46:37 PM org.apache.coyote.http11.Http11BaseProtocol init
INFO: Initializing Coyote HTTP/1.1 on http-9080
Apr 16, 2012 11:46:37 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 705 ms
Apr 16, 2012 11:46:37 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Apr 16, 2012 11:46:37 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/5.5.23
Apr 16, 2012 11:46:37 PM org.apache.catalina.core.StandardHost start
INFO: XML validation disabled
Apr 16, 2012 11:46:37 PM org.apache.catalina.startup.HostConfig deployDescriptor
WARNING: A docBase /var/lib/tomcat5/webapps/ba/webapp inside the host appBase has been specified, and will be ignored
Apr 16, 2012 11:46:37 PM org.apache.catalina.session.PersistentManagerBase start
SEVERE: No Store configured, persistence disabled
[configs] Using compression level: 2
[configs] Direct zip download is: false
Apr 16, 2012 11:46:38 PM org.apache.coyote.http11.Http11BaseProtocol start
INFO: Starting Coyote HTTP/1.1 on http-9080
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Hosts
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering WebModule Contexts
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Servlets
Apr 16, 2012 11:46:38 PM org.apache.jk.common.ChannelSocket init
INFO: JK: ajp13 listening on /0.0.0.0:9009
Apr 16, 2012 11:46:38 PM org.apache.jk.server.JkMain start
INFO: Jk running ID=0 time=0/63 config=null
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Hosts
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering WebModule Contexts
Apr 16, 2012 11:46:38 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Servlets
Apr 16, 2012 11:46:38 PM org.apache.catalina.storeconfig.StoreLoader load
INFO: Find registry server-registry.xml at classpath resource
Apr 16, 2012 11:46:38 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 927 ms

And /var/log/tomcat5/localhost_access_log.2012-04-16.txt :

127.0.0.1 - - [16/Apr/2012:23:48:17 + 0100] "GET /ba/base HTTP/1.1" 404 976

After this I decided to extract again the .tar.gz but this time upper of one level so having /var/lib/tomcat5/webapps/ba/functions.js, and to rebuild
the ba.xml like following also to avoid the "SEVERE: No Store configured, persistence disabled" error message :

<Context path="/ba" docBase="ba" debug="0" reloadable="false">
<Manager className="org.apache.catalina.session.PersistentManager" saveOnRestart="false">
<Store className="org.apache.catalina.session.FileStore"/>
</Manager>
</Context>

Restarted Tomcat browsing to http://localhost:9080/ba/base I finally seen the login page

Looking at /var/log/tomcat5/catalina.out the output now is :

Using CATALINA_BASE: /usr/share/tomcat5
Using CATALINA_HOME: /usr/share/tomcat5
Using CATALINA_TMPDIR: /usr/share/tomcat5/temp
Using JRE_HOME:
Apr 16, 2012 11:58:13 PM org.apache.catalina.core.AprLifecycleListener lifecycleEvent
INFO: The Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: /usr/java/jdk1.6.0_30/jre/lib/i386/client:/usr/java/jdk1.6.0_30/jre/lib/i386:/usr/java/jdk1.6.0_30/jre/../lib/i386:/usr/share/tomcat5/GNUstep/Library/Libraries:/usr/local/lib:/usr/lib:/usr/java/packages/lib/i386:/lib:/usr/lib
Apr 16, 2012 11:58:14 PM org.apache.coyote.http11.Http11BaseProtocol init
INFO: Initializing Coyote HTTP/1.1 on http-9080
Apr 16, 2012 11:58:14 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 708 ms
Apr 16, 2012 11:58:14 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Apr 16, 2012 11:58:14 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/5.5.23
Apr 16, 2012 11:58:14 PM org.apache.catalina.core.StandardHost start
INFO: XML validation disabled
Apr 16, 2012 11:58:14 PM org.apache.catalina.startup.HostConfig deployDescriptor
WARNING: A docBase /var/lib/tomcat5/webapps/ba inside the host appBase has been specified, and will be ignored
[configs] Using compression level: 2
[configs] Direct zip download is: false
Apr 16, 2012 11:58:14 PM org.apache.coyote.http11.Http11BaseProtocol start
INFO: Starting Coyote HTTP/1.1 on http-9080
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Hosts
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering WebModule Contexts
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Servlets
Apr 16, 2012 11:58:14 PM org.apache.jk.common.ChannelSocket init
INFO: JK: ajp13 listening on /0.0.0.0:9009
Apr 16, 2012 11:58:14 PM org.apache.jk.server.JkMain start
INFO: Jk running ID=0 time=0/28 config=null
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Hosts
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering WebModule Contexts
Apr 16, 2012 11:58:14 PM org.apache.catalina.connector.MapperListener init
INFO: Registering Servlets
Apr 16, 2012 11:58:14 PM org.apache.catalina.storeconfig.StoreLoader load
INFO: Find registry server-registry.xml at classpath resource
Apr 16, 2012 11:58:14 PM org.apache.catalina.startup.Catalina start
INFO: Server startup in 945 ms

And /var/log/tomcat5/localhost_access_log.2012-01-16.txt :

127.0.0.1 - - [16/Apr/2012:23:58:17 + 0100] "GET /ba/base HTTP/1.1" 302 -
127.0.0.1 - - [16/Apr/2012:23:58:17 + 0100] "GET /ba/base/ HTTP/1.1" 200 1624
127.0.0.1 - - [16/Apr/2012:23:58:17 + 0100] "GET /ba/function.js HTTP/1.1" 200 3413
127.0.0.1 - - [16/Apr/2012:23:58:17 + 0100] "GET /ba/style.css HTTP/1.1" 200 3010
127.0.0.1 - - [16/Apr/2012:23:58:17 + 0100] "GET /ba/login_logo.gif HTTP/1.1" 200 2371

Now I can log on, browse, download and upload files. But I found the button "Make Zip" does not work.
Choosing the file I want to compress and selecting "Make Zip" the result is, after the popup message "buildZip: Created zipfile", an empty zip file.
log4j.log tells only "Adding smb://IPADDRESS/docuemts/MyFile.xls.zip"
The only relevant message I found is inside /var/log/samba/jcifs1_1_d7.log :

[2012/04/17 01:20:21, 2] lib/smbldap.c:smbldap_open_connection(786)
smbldap_open_connection: connection opened
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_sam_from_ldap(545)
init_sam_from_ldap: Entry found for user: utente
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] auth/auth.c:check_ntlm_password(309)
check_ntlm_password: authentication for user [utente] -> [utente] -> [utente] succeeded
[2012/04/17 01:20:21, 2] lib/access.c:check_access(323)
Allowed connection from (10.0.1.1)
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 1] smbd/service.c:make_connection_snum(1077)
jcifs1_1_d7 (10.0.1.1) connect to service documents initially as user utente (uid=1000, gid=1000) (pid 17500)
[2012/04/17 01:20:21, 2] smbd/open.c:open_file(391)
utente opened file ./MyFile.xls.zip read=No write=No (numopen=1)
[2012/04/17 01:20:21, 2] smbd/close.c:close_normal_file(406)
utente closed file ./MyFile.xls.zip (numopen=0) NT_STATUS_OK
[2012/04/17 01:20:21, 2] lib/access.c:check_access(323)
Allowed connection from (10.0.1.1)
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_sam_from_ldap(545)
init_sam_from_ldap: Entry found for user: utente
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_sam_from_ldap(545)
init_sam_from_ldap: Entry found for user: utente
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 2] passdb/pdb_ldap.c:init_group_from_ldap(2167)
init_group_from_ldap: Entry found for group: 1000
[2012/04/17 01:20:21, 1] smbd/service.c:make_connection_snum(1077)
jcifs1_1_d7 (10.0.1.1) connect to service utente initially as user utente (uid=1000, gid=1000) (pid 17500)
[2012/04/17 01:20:21, 2] lib/access.c:check_access(323)
Allowed connection from (10.0.1.1)
[2012/04/17 01:20:24, 2] smbd/open.c:open_file(391)
utente opened file MyFile.xls.zip read=Yes write=Yes (numopen=1)
[2012/04/17 01:21:24, 2] smbd/close.c:close_normal_file(406)
utente closed file MyFile.xls.zip (numopen=0) NT_STATUS_OK
[2012/04/17 01:21:24, 1] smbd/service.c:close_cnum(1274)
jcifs1_1_d7 (10.0.1.1) closed connection to service documents
[2012/04/17 01:21:24, 1] smbd/service.c:close_cnum(1274)
jcifs1_1_d7 (10.0.1.1) closed connection to service utente
[2012/04/17 01:21:24, 0] lib/util_sock.c:write_data(568)
write_data: write failure in writing to client 10.0.1.1. Error Broken pipe
[2012/04/17 01:21:24, 0] lib/util_sock.c:send_smb(767)
Error writing 39 bytes to client. -1. (Broken pipe)

Any hints

Best Regards

Massimo

Discussion